apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: openbao-secretstore
  namespace: argocd
  labels:
    app.kubernetes.io/part-of: railiance-gitops
    railiance-platform/component: external-secrets
  annotations:
    argocd.argoproj.io/sync-wave: "1"
spec:
  project: railiance-platform-addons
  source:
    repoURL: https://forgejo.coulomb.social/coulomb/railiance-platform.git
    targetRevision: main
    path: argocd/platform-addons/openbao-secretstore
  destination:
    server: https://kubernetes.default.svc
    namespace: external-secrets
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
      - ApplyOutOfSyncOnly=true
      - PruneLast=true
